// El siguiente bloque ifdef muestra la forma estndar de crear macros que facilitan 
// la exportacin de archivos DLL. Todos los archivos de este archivo DLL se compilan con el smbolo GEOLODLIBRARYDLL_EXPORTS
// definido en la lnea de comandos. Este smbolo no se debe definir en ningn proyecto
// que utilice este archivo DLL. De este modo, otros proyectos cuyos archivos de cdigo fuente incluyan el archivo
// interpreta que las funciones GEOLODLIBRARYDLL_API se importan de un archivo DLL, mientras que este archivo DLL interpreta los smbolos
// definidos en esta macro como si fueran exportados.
/*#ifdef GEOLODLIBRARYDLL_EXPORTS
#define GEOLODLIBRARYDLL_API __declspec(dllexport)
#else
#define GEOLODLIBRARYDLL_API __declspec(dllimport)
#endif*/

// The project defines by default a GEOLODLIBRARYDLL_API __declspec(dllexport)
#ifndef GEOLODLIBRARYDLL_API
#define GEOLODLIBRARYDLL_API __declspec(dllimport)
#endif

#include <GeoMeshLoader.h>
#include <GeoLodStripsLibrary.h>
#include <GeoLodTreeLibrary.h>
#include <GeoLodManager.h>