#ifndef __color_h_
#define __color_h_

#include "GL/glut.h"

#define MAX_NUM_COLORS 1020 // (256 + 256 + 256 + 256) - 4 R G B A
#define BACKGROUND        0 // Background color


namespace	VMI
{
typedef struct _Color {
    GLubyte r, g, b, a;
} Color;

extern Color *initColors(int numColors);
extern void fillAllColors(Color *colors, int numColors, int begin, int end, GLubyte color);
extern void setColors(Color *colors, int numPasses, int begin, int end);
extern void setColors2(Color *colors, int numColors, int begin, int end);
extern void setColors3(Color *colors, int numColors, GLubyte color);
extern void setColors4(Color *colors, int numColors);
extern void viewColors(Color *colors, int numColors);

}

#endif
