#ifndef __metrics_h_
#define __metrics_h_

#include "GL/glut.h"

#include "change.h"

namespace	VMI
{
extern GLdouble computeMI(Mesh *mesh, int **histogram, int numCameras, int cam);
extern GLdouble decMI(GLdouble I, int **histogram, int numCameras, int cam, Change *c);
extern GLdouble incMI(GLdouble I, int **histogram, int numCameras, int cam, Change *c);

extern GLdouble computeHE(Mesh *mesh, int *histogram);
extern GLdouble computeKL(Mesh *mesh, int *histogram);
extern GLdouble computeCS(Mesh *mesh, int *histogram);

extern GLdouble computeMeanProjArea(int **histogram, int numCameras, int t);
extern GLdouble computeJS(int **histogram, int numCameras, int j, int k);
extern GLdouble computeEntropy(int **histogram, int numCameras, int k);
extern GLdouble computeMixedEntropy(GLdouble *mixed, int numCameras);
extern GLdouble computeMeanProjAreaNoBG(int **histogram, int numCameras, int t);

extern GLdouble *initIs(int numCameras);
extern void computeCameraIs(int **histogram, int numCameras, GLdouble *mis);
extern void printIs(GLdouble *mis, int numCameras);
}
#endif
